@charset "UTF-8";
@import "compass/css3";
.scheme_detail {
    .scheme-content-panel {
        display: inline-block;
        vertical-align: top;
        @include border-radius(5px);
        background-color: #fff;
        padding: 20px;
        .scheme-content-header {
            height: 85px;
            .op-info-panel {
                display: inline-block;
                .op-info {
                    display: inline-block;
                }
            }
            .avatar {
                width: 40px;
                vertical-align: top;
                @include border-radius(50%);
            }
            .scheme-price {
                color: #ffc65d;
                span {
                    font-size: 24px;
                    line-height: 1.5;
                }
            }
        }
        .scheme-content-desc {
            height: 605px;
            overflow-x: auto;
            overflow-y: auto;
            table {
                width: auto !important;
                td, th {
                    min-width: 50px;
                    padding: 3px 5px;
                    border: 1px solid #999;
                    text-align: center;
                }
            }
        }
        .scheme-content-footer {
            height: 55px;
            .btn-readonly {
                color: white;
            }
        }
    }
    .scheme-chat-panel {
        display: inline-block;
        vertical-align: top;
        padding-right: 0px;
        .scheme-chat-info {
            background-color: white;
            overflow-y: auto;
            padding: 15px;
            height: 600px;
            -webkit-border-top-left-radius: 5px;
            -moz-border-top-left-radius: 5px;
            border-top-left-radius: 5px;
            -webkit-border-top-right-radius: 5px;
            -moz-border-top-right-radius: 5px;
            border-top-right-radius: 5px;
            .avatar {
                width: 40px;
                vertical-align: top;
                margin-top: 10px;
                @include border-radius(50%);
            }
            .discusser-info {
                display: inline-block;
                .user-name.right {
                    display: block;
                    text-align: right;
                }
            }
            .bubble-panel {
                max-width: 255px;
                word-break: break-all;
                min-height: 32px;
                margin-top: 5px;
                border-radius: 5px;
                padding: 4px 15px;
                font-size: 14px;
                color: white;
                white-space: pre-wrap;
            }
            .left-bubble-panel {
                border: 1px solid #5050c9;
                background-color: #5050c9;
                position: relative;
                &:before {
                    position: absolute;
                    content: "";
                    display: inline-block;
                    width: 0px;
                    height: 0px;
                    border-width: 5px 8px 5px 0px;
                    border-style: solid;
                    border-color: transparent #5050C9 transparent transparent;
                    top: 10px;
                    left: -9px;
                }
            }
            .right-bubble-panel {
                border: 1px solid #2ca6ed;
                background-color: #2ca6ed;
                position: relative;
                &:before {
                    position: absolute;
                    content: "";
                    display: inline-block;
                    width: 0px;
                    height: 0px;
                    border-width: 5px 0px 5px 8px;
                    border-style: solid;
                    border-color: transparent transparent transparent #2ca6ed;
                    top: 10px;
                    right: -9px;
                }
            }
        }
        .scheme-chat-reply {
            height: 215px;
            background-color: #E0E0E0;
            padding: 10px 10px 0px;
            -webkit-border-bottom-right-radius: 5px;
            -moz-border-bottom-right-radius: 5px;
            border-bottom-right-radius: 5px;
            -webkit-border-bottom-left-radius: 5px;
            -moz-border-bottom-left-radius: 5px;
            border-bottom-left-radius: 5px;
            textarea {
                padding: 10px;
                border: none;
                width: 100%;
                height: 135px;
                @include border-radius(5px);
            }
        }
    }
}

.go-out-info {
    .title {
        font-size: 16px;
        margin: 20px 0px 20px 20px;
    }
    .editor-people-bg {
        background: #f1f9ff;
    }
    .btn-add-address {
        color: black;
        margin-top: -40px;
        margin-left: 5px;
    }
    .go-out-info-mt74 {
        margin-top: -74px;
    }
    .add-people {
        width: 38px;
        cursor: pointer;
        display: inline-block;
        vertical-align: middle;
        &:after {
            width: 38px;
            height: 38px;
            content: '+';
            border: 1px solid #e2e2e2;
            display: inline-block;
            border-radius: 50%;
            font-size: 34px;
            text-align: center;
            line-height: 30px;
            color: #959595;
            background: white;
        }
    }
    .people-ul {
        padding: 0;
        display: inline-block;
        vertical-align: middle;
        margin: 0;
        li {
            display: inline-block;
            border: 1px solid #e2e2e2;
            padding: 5px;
            margin-right: 10px;
            @include border-radius(5px);
        }
    }
    .add-people-panel {
        padding: 0 40px;
        .add-people-btn {
            width: 73px;
        }
        .btn-readonly {
            color: #959595;
            background: #e2e2e2;
            position: relative;
            &:hover {
                .readonly-tip {
                    display: block;
                }
            }
        }
        .readonly-tip {
            max-width: 255px;
            word-break: break-all;
            min-height: 32px;
            right: 55px;
            top: -2px;
            border-radius: 5px;
            padding: 4px 15px;
            font-size: 14px;
            color: black;
            border: 1px solid #e2e2e2;
            background-color: white;
            position: absolute;
            display: none;
            &:before,
            &:after {
                position: absolute;
                content: "";
                display: inline-block;
                width: 0px;
                height: 0px;
                border-width: 5px 0px 5px 8px;
                border-style: solid;
                border-color: transparent transparent transparent #e2e2e2;
                top: 10px;
                right: -9px;
            }
            &:after {
                border-color: transparent transparent transparent white;
                right: -8px;
            }
        }
    }
    .fuck-table-people {
        tr td {
            line-height: 30px;
        }
    }
    .address-panel {
        line-height: 1.5;
        position: relative;
        height: 115px;
        margin-bottom: 20px;
        padding: 10px;
        border: 2px solid #e2e2e2;
        width: 220px;
        cursor: pointer;
        @include border-radius(5px);
        header {
            height: 28px;
            border-bottom: 1px solid #e2e2e2;
            margin-bottom: 5px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
        &.selected {
            border-color: #3c85fd;
        }
        .editor {
            position: absolute;
            right: 0;
            top: 0;
            display: none;
            padding: 0 5px;
            background: #e2e2e2;
            span {
                cursor: pointer;
            }
            .modify-text {
                color: #666666;
                margin-right: 5px;
            }
            .delete-text {
                color: #666666;
            }
        }
        &:hover {
            .editor {
                display: block;
            }
        }
    }
}
